# _ModuleInfo Struct Reference

`#include <module.h>`

## Data Fields

char * | path
char * | tag
void * | handle
void(* | unregister_module )(void)
unsigned long(* | register_module )(void)
time_t | load_time
MagickBooleanType | stealth
struct _ModuleInfo * | previous
struct _ModuleInfo * | next
unsigned long | signature

## Field Documentation

char* _ModuleInfo::path

char * _ModuleInfo::tag

void* _ModuleInfo::handle

void(* _ModuleInfo::unregister_module)(void)

unsigned long(* _ModuleInfo::register_module)(void)

time_t _ModuleInfo::load_time

MagickBooleanType _ModuleInfo::stealth

struct _ModuleInfo* _ModuleInfo::previous`[read]`

struct _ModuleInfo * _ModuleInfo::next`[read]`

unsigned long _ModuleInfo::signature

The documentation for this struct was generated from the following file:

- module.h